Get Product Attraction

This method enables the creation and management of travel product bookings, providing essential details about the product, buyer, and customers.

A. Request Header

FieldFormatMandatoryLengthExample
Open-Api-Timestampyyyy-mm-dd'T'hh:mm:ss+07:00Y2024-02-07T10:28:35.000+07:0
Open-Api-SignatureDigital SignatureY88vNMoAmiDRV+paVyD5FaidgI5k
Ry2pCo8oEoQN/GBpIPuO3eicY
63b7xY0WDffScvkOZsZ1442ewa
bI7Wzd22pw==

B. Request Body

FieldTypeDescriptionRequiredExample
product_codestringUnique identifier for the producttrue“ATRAKSI-DANCER”

C. Sample Request

{
  "product_code": "ATRAKSI-DANCER"
}

D. Response Body

FieldTypeDescriptionExample
response_codestringContains the OpenAPI response code“200062000”
response_messagestringContains the value of OpenAPI response message“Sukses”
data objectThe object containing product attraction info
booking fieldarray of objectsCustom fields for booking
keystringThe unique identifier for the transaction“guidelang”
typestringThe value of owner B2B’s balance“select”
list_optionarray of objectsOption for a booking field
codestringThe expiration date and time of the transaction"f26b2ad8-a02d-4173-aeb7-5ac610330b53"
namestringThe name for the option"廣東話"
customer_booking_fieldbooleanThe customer booking field (if any)null
calendararray of objectsContaining calendar information
is_full_daybooleanIndicates if the date is a full day eventtrue
datestringThe day of the event"2024-07-31"
start_datestringThe start date for the booking"2024-07-31"
end_datestringThe end date for the booking"2025-04-08"

E. Sample Response

{
  "response_code": "200062000",
  "response_message": "Sukses",
  "data": {
    "booking_field": [
      {
        "key": "guideLang",
        "type": "select",
        "list_option": [
          {
            "code": "f26b2ad8-a02d-4173-aeb7-5ac610330b53",
            "name": "廣東話"
          },
          {
            "code": "7f8a8970-b031-4549-8fb6-9fbbef182b01",
            "name": "日本語"
          },
          {
            "code": "d1926f0a-14e0-4f0b-bf6c-70c59eb60848",
            "name": "English"
          }
        ]
      },
      {
        "key": "voucherChangeLocation",
        "type": "select",
        "list_option": [
          {
            "code": "850c099c-1a8e-4d81-abae-78454da244b9",
            "name": "Kenting Aquarium ticket counter - No. 2, Houwan Road, Checheng Township, Pingtung County, 944"
          },
          {
            "code": "fa59be14-ce77-4c7b-a192-80eac850c500",
            "name": "海生館出口處售票櫃檯 - 屏東縣車城鄉後灣村後灣路 2 號,海洋生物博物館"
          }
        ]
      }
    ],
    "customer_booking_field": null,
    "calendar": [
      {
        "is_full_day": true,
        "date": "2024-07-31"
      },
      {
        "is_full_day": true,
        "date": "2024-08-01"
      }
    ],
    "start_date": "2024-07-31",
    "end_date": "2025-04-08"
  }
}

Try It Here (Form)

To try the following endpoint, enter the example request data you want to use in the following form


Body Params
string
Headers
date-time
string
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json